package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftImprovementMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftImprovement;
import com.ruoyi.project.shiftmgr.service.ITShiftImprovementService;

/**
 * 合理化建议记录Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-28
 */
@Service
public class TShiftImprovementServiceImpl implements ITShiftImprovementService
{
    @Autowired
    private TShiftImprovementMapper tShiftImprovementMapper;

    /**
     * 查询合理化建议记录
     *
     * @param id 合理化建议记录ID
     * @return 合理化建议记录
     */
    @Override
    public TShiftImprovement selectTShiftImprovementById(Long id)
    {
        return tShiftImprovementMapper.selectTShiftImprovementById(id);
    }

    /**
     * 查询合理化建议记录列表
     *
     * @param tShiftImprovement 合理化建议记录
     * @return 合理化建议记录
     */
    @Override
    public List<TShiftImprovement> selectTShiftImprovementList(TShiftImprovement tShiftImprovement)
    {
        return tShiftImprovementMapper.selectTShiftImprovementList(tShiftImprovement);
    }

    /**
     * 新增合理化建议记录
     *
     * @param tShiftImprovement 合理化建议记录
     * @return 结果
     */
    @Override
    public int insertTShiftImprovement(TShiftImprovement tShiftImprovement)
    {
        return tShiftImprovementMapper.insertTShiftImprovement(tShiftImprovement);
    }

    /**
     * 修改合理化建议记录
     *
     * @param tShiftImprovement 合理化建议记录
     * @return 结果
     */
    @Override
    public int updateTShiftImprovement(TShiftImprovement tShiftImprovement)
    {
        return tShiftImprovementMapper.updateTShiftImprovement(tShiftImprovement);
    }

    /**
     * 批量删除合理化建议记录
     *
     * @param ids 需要删除的合理化建议记录ID
     * @return 结果
     */
    @Override
    public int deleteTShiftImprovementByIds(Long[] ids)
    {
        return tShiftImprovementMapper.deleteTShiftImprovementByIds(ids);
    }

    /**
     * 删除合理化建议记录信息
     *
     * @param id 合理化建议记录ID
     * @return 结果
     */
    @Override
    public int deleteTShiftImprovementById(Long id)
    {
        return tShiftImprovementMapper.deleteTShiftImprovementById(id);
    }
}
